<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>5_Task</title>
</head>
<body>

<!--
Задание2

Реализовать функцию полного клонирования объекта.

Технические требования:

Написать функцию для рекурсивного полного клонирования объекта (без единой
передачи по ссылке, внутренняя вложенность свойств объекта может быть достаточно большой).
Функция должна успешно копировать свойства в виде объектов и массивов на любом уровне вложенности.
Использовать синтаксис ES6 для работы с перемеными, функциями и объектами.

Литература:
https://learn.javascript.ru/object
https://learn.javascript.ru/destructuring
https://learn.javascript.ru/recursion
https://developer.mozilla.org/ru/docs/Web/JavaScript/Reference/Global_Objects/Array/isArray
-->

<script src="js/script.js"></script>

</body>
</html>